#
# spec file for package python-PySocks
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-PySocks
Version:        1.6.8
Release:        1.19
Summary:        A Python SOCKS client module
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/Anorov/PySocks
Source:         https://files.pythonhosted.org/packages/source/P/PySocks/PySocks-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%ifpython2
Provides:       %{oldpython}-SocksiPy = %{version}
Obsoletes:      %{oldpython}-SocksiPy < %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
A Python SOCKS client module.

It is an actively maintained SocksiPy fork. Contains many
improvements to the original. 

See https://github.com/Anorov/PySocks for more information.

%prep
%setup -q -n PySocks-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu Dec 21 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.6.8:
  * Remove support for EOL Python 3.3
  * Make create_connection() signature match socket module
  * Add python version classifiers
  * Include win_inet_pton when installing on Python 2.x under Windows
  * fix #937 getpeername() errror while using gevent
  * Update README.md
  * PEP8 fixes for line length, indentation, line breaks and other
    minor issues.
  * Normalize quoting.
  * Update socks.py
* Sat Nov  4 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.6.7:
  * Make SocksiPy legacy functions kwarg-compatible. See issue #71.
  * Use setuptools in setup.py to support wheel. See issue #73.
  * Test and logging enhancements
* Tue Mar 21 2017 jmatejek@suse.com
- update for singlespec
- update to 1.6.6
  * python 3.6 support
  * bug fixes
* Fri Mar 11 2016 toddrme2178@gmail.com
- Fix license
- Provides/Obsoletes python-SocksiPy, which this is an updated fork
  of and conflicts with.
* Tue Jan  5 2016 hpj@urpla.net
- Version 1.5.6: initial build
